image: docker

stages:
    - build

variables:
    GIT_STRATEGY: "clone"
    PARENT_IMAGE: "debian:buster-slim"

build:pyarrow-builder:
    stage: build
    tags:
        - arm64-aws-xlarge
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build --squash --no-cache --build-arg PARENT_IMAGE=$PARENT_IMAGE -t $CI_REGISTRY_IMAGE:buster -t $CI_REGISTRY_IMAGE:latest .
        - docker push $CI_REGISTRY_IMAGE
